AI-generated Key Takeaways
-
Business information verification for an agent is initiated and Google contacts the brand for verification.
-
Only one instance of verification is allowed at any given time.
-
The
POST https://businesscommunications.googleapis.com/v1/{name=brands/*/agents/*}:requestVerificationHTTP request is used to begin the verification process. -
The request requires a
nameparameter identifying the brand and agent and anagentVerificationContactobject with contact details in the request body. -
A successful response contains an instance of AgentVerification.
Begins business information verification for an agent. Google contacts the brand for verification. Only 1 instance of verification is allowed at any given time.
HTTP request
POST https://businesscommunications.googleapis.com/v1/{name=brands/*/agents/*}:requestVerification
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The unique identifier of the brand and agent. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"agentVerificationContact": {
object ( |
| Fields | |
|---|---|
agentVerificationContact |
Required. Verification contact details for the agent. |
Response body
If successful, the response body contains an instance of AgentVerification.